import "./App.css";
import React, { useState } from "react";
import Home from "./components/Home";
import Login from "./components/Login";
import { progressBarFetch, setOriginalFetch } from "react-fetch-progressbar";

import Gazettes from "./components/AllGazettes";
//     ^          ^ these should be removed when using func compo
// import Vacancy from "./components/Vacancy";
import Vacancy from "./components/Vacancynew";
import Navigation from "./components/Navigation";
import CommodityView from "./components/CommodityView";
// import CommodityView from "./components/BackupCom";

import { BrowserRouter, NavLink, Route, Switch } from "react-router-dom";
import GazetteDetailView from "./components/GazetteDetailView";
import Exam from "./components/Exam";

function App(props) {
  const [user, setuser] = useState({ empid: "", password: "", dep: "" });
  const [error, setError] = useState("");
  const login = (details) => {
    console.log("this is the output:" + details);
    if (details.empid != "") {
      console.log("logged in " + details.empid);
      setuser({
        empid: details.empid,
        dep: details.dep,
      });
    }
  };
  const Logout = () => {
    console.log("Logout");
    setuser("");
    // window.location.reload();
    window.location.href = "/";
  };
  return (
    <BrowserRouter>
      {user.empid != "" ? (
        <div className="container">
          <ul className="list m-3 d-flex justify-content-end">
            <li className="itemStyles">
              | &nbsp; Welcome {user.empid} &nbsp; |
            </li>
            <li className="itemStyles">Department : {user.dep} &nbsp; |</li>
            {/* <NavLink to="/"> */}
            <li className="itemStyles cusLink" onClick={Logout}>
              Logout&nbsp; |
            </li>
            {/* </NavLink> */}
          </ul>
          <h2 className="m-3 d-flex justify-content-center">eGaz</h2>

          <Navigation />

          <Switch>
            <Route
              path="/"
              exact
              render={(props) => <Home {...props} />}
            ></Route>
            <Route
              path="/gazette"
              exact
              render={(props) => <Gazettes {...props} dep={user.dep} />}
            ></Route>
            <Route path="/gazetteDetails" component={GazetteDetailView}></Route>
            <Route path="/vacancy" component={Vacancy}></Route>
            <Route path="/exam" component={Exam}></Route>
            <Route path="/commodity" component={CommodityView}></Route>
          </Switch>
        </div>
      ) : (
        <Route
          path="/"
          exact
          render={(props) => <Login {...props} login={login} />}
        ></Route>
      )}
    </BrowserRouter>
  );
}
export default App;
